<!DOCTYPE html>
<html lang = "en">
    <head>
        <meta charset = "UTF-8">
        <meta name = "viewport" content = "width=device-width, initial-scale=1.0">
        <meta name = "author" content = "Zacharie Makeen & Hieu Nghia Phan">
        <link rel = "stylesheet" type = "text/css" href = "../Style/style.css">
        <!--Link to Poppins font from Google Fonts.-->
        <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@700&display=swap" rel="stylesheet">
        <script defer src = "../Script/script.js"></script>
        <title>To Do List</title>
    </head>
    <body>
        <main>
            <!--The form where the user inputs the data.-->
            <form>
                <h2>To Do</h2>
                <hr>
                <!--The first division of the form-->
                <section class="formP1">
                    <!--Task name.-->
                    <div>
                        <label for = "task">Task:</label>
                        <input type = "text" id = "task" name = "task" placeholder = "Your task name." required>
                    </div>
                    <!--Task description.-->
                    <div>
                        <label for = "description">Description:</label>
                        <textarea id = "description" name = "description" placeholder = "The task description." maxlength="57" required></textarea>
                    </div>
                    <!--Task importance.-->
                    <div class="range-bar" >
                        <label for="importance">Importance:</label>
                        <input id="importance" class="range" type="range" min="1" max="10" value="1">
                        <output id="amount" class="range-value">1</output>
                    </div>
                </section>
                <!--The second division of the form.-->
                <fieldset>
                    <legend>Category:</legend>
                    <!--Task Category.-->
                    <div class = "horizontal">
                        <div>
                            <input class="radioAnimation" type = "radio" id = "school" name = "category" value = "School" required>
                            <label for = "school">School</label>
                        </div>
                        <div>
                            <input class="radioAnimation" type = "radio" id = "work" name = "category" value = "Work" required>
                            <label for = "work">Work</label>
                        </div>
                        <div>
                            <input class="radioAnimation" type = "radio" id = "personal" name = "category" value = "Personal" required>
                            <label for = "personal">Personal</label>
                        </div>
                    </div>
                </fieldset>
                <!--Submit button.-->
                <div class = "buttonContainer">
                    <input type = "submit" id = "submitButton" value = "Add Task">
                </div>
            </form>
            <!--End of form.-->
            <!--Section holding the added tasks.-->
            <section class = "tasks">
            </section>
            <!--End of section.-->
        </main>
        <footer>
            Created by Zacharie Makeen - 1938801 & Hieu Nghia Phan - 1834104
        </footer>
    </body>
</html>